Subject: bug#71624: closed (Re: bug#71624: dejagnu-1.6.3 test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jun 2024 02:50:02 +0000

Your bug report

#71624: dejagnu-1.6.3 test failure

which was filed against the dejagnu package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71624: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71624
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71624: dejagnu-1.6.3 test failure
From: Jacob Bachmeyer <[email-masked]>
To: Gordon Steemson <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Jun 2024 21:48:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Gordon Steemson wrote:
> Hello,
>
>   
>> On Jun 19, 2024, at 8:00 PM, Jacob Bachmeyer <[email-masked]> wrote:
>>
>> Gordon Steemson wrote:
>>     
>>> On Tue, 18 Jun 2024 at 19:09, Jacob Bachmeyer <[email-masked]> wrote:
>>>  [...]
>>>       
>>>> The report-card tests should not be affected by that issue, however,
>>>> this report contains insufficient information to evaluate.  Please
>>>> attach the report-card.log produced by a failing test run and describe
>>>> the system that you are using.  What distribution is exhibiting this issue?
>>>>    
>>>>         
>>> The test log should be attached to this message; hopefully it does not
>>> get stripped off.
>>>
>>> The build was performed on an obsolete platform – specifically, Mac OS
>>> X 10.5.8 “Leopard” running on a dual-processor Power Mac G5 – so I
>>> don’t know if anyone else will care that it failed.  I’d still like to
>>> know why it is failing.
>>>  
>>>       
>> It is most likely failing because Mac OS X 10.5.8 does not conform to POSIX:  the log shows an error from stty(1) rejecting the -onlret option, which POSIX defines---it is /not/ a GNU extension.
>>
>> That said, my copy of stty(P) suggests that onlret does not do anything useful here, so a patch has been pushed to the "PR71624" branch at Savannah.  Please try it and indicate if it solves this problem.  If so, I will merge it to master and consider the issue resolved.
>>     
>
> That did indeed fix it!  I thank you most sincerely for taking the time to look into this.
>
> With gratitude,
> Gordon S.
>   

Thank you for the quick response.

-- Jacob

Subject: Re: dejagnu-1.6.3 test failure
From: Gordon Steemson <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jun 2024 14:26:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have tried Adam Sampson's patch for Expect 5.45.4, but unfortunately it did not solve this problem for me.  Neither did building in a different directory -- whether a subdirectory of the source directory or outside it entirely, on my system it always fails the report-card tests with these same sorts of unexpectedly closed subprocess files.